{% extends 'person_management/person/person.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('person_management/person/occurrence/overview') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('person_management/person/occurrence/overview') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('person_management_person_overview', fetch_merged_url_parameters_by_session_key_name('personOverview')) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Kontakt, {{ person.getName() }}</span>
        {% if is_granted('edit', person) == true %}
            <a href="{{ path('person_management_occurrence_create', {'personId': person.getId()}) }}" class="mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center">
                <span class="mdc-button__ripple"></span>
                <i class="material-icons mdc-button__icon" aria-hidden="true">add</i>
                <span class="mdc-button__label">Vorgang eintragen</span>
            </a>
        {% endif %}
    </div>
{% endblock %}

{% block main %}
    <div class="container-fluid mt-4">
        <div class="mdc-card mb-4">
            {% include 'person_management/component/occurrence/occurrence_list_component.html.twig' with {
                'idPrefix': 'occurrence_',
                'listItems': occurrences,
                'routeName': 'person_management_occurrence_edit',
                'parameters': {'personId': person.getId()},
                'showActionButton': true,
                'massOperation': false,
                'pagination': true,
                'sortable' : true
            } only %}
        </div>
    </div>
{% endblock %}
